Attaching VFs over data interface via CLI not rejected

Bug #1855933 reported by Senthil Mukundakumar on 2019-12-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Low
Thomas Gao

Bug Description

Brief Description
-----------------
VFs created over data interface is allowed via CLI

Severity
--------
Major: The system is usable if you avoid configuring it

Steps to Reproduce
------------------
Configure VFs over data interface
[sysadmin@controller-0 ~(keystone_admin)]$ system host-if-modify -m 1500 -n sriov1 -c data -N 32 --vf-driver=netdevice controller-1 6ec4e893-5c56-4ad4-abc7-d326c9f903c5
+-----------------+--------------------------------------+
| Property | Value |
+-----------------+--------------------------------------+
| ifname | sriov1 |
| iftype | ethernet |
| ports | [u'ens785f1'] |
| imac | 3c:fd:fe:a0:10:a9 |
| imtu | 1500 |
| ifclass | data |
| aemode | None |
| schedpolicy | None |
| txhashpolicy | None |
| uuid | 6ec4e893-5c56-4ad4-abc7-d326c9f903c5 |
| ihost_uuid | 757cb598-b24c-42be-9a1c-ec999a421e45 |
| vlan_id | None |
| uses | [] |
| used_by | [] |
| created_at | 2019-12-10T16:17:57.713319+00:00 |
| updated_at | 2019-12-10T21:09:30.449423+00:00 |
| sriov_numvfs | 32 |
| sriov_vf_driver | netdevice |
| ipv4_mode | disabled |
| ipv6_mode | disabled |
| accelerated | [True] |
+-----------------+--------------------------------------+

Expected Behavior
------------------
The CLI should be rejected

Actual Behavior
----------------
Configuring VFs over data is allowed
4: ens785f1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP mode DEFAULT group default qlen 1000
    link/ether 3c:fd:fe:a0:10:a9 brd ff:ff:ff:ff:ff:ff
    vf 0 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 1 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 2 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 3 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 4 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 5 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 6 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 7 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 8 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 9 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 10 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 11 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 12 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 13 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 14 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 15 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 16 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 17 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 18 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 19 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 20 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 21 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 22 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 23 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 24 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 25 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 26 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 27 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 28 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 29 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 30 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off
    vf 31 MAC 00:00:00:00:00:00, spoof checking on, link-state auto, trust off

Reproducibility
---------------
Reproducible

System Configuration
--------------------
Any system

Branch/Pull Time/Commit
-----------------------
2019-12-09_20-00-00

Last Pass
---------
First time this negative test has been attempted

Test Activity
-------------
Feature Testing

Ghada Khalil (gkhalil) wrote :

Minor issue related to semantic checks

tags: added: stx.networking
tags: added: stx.config
Changed in starlingx:
importance: Undecided → Low
status: New → Triaged
assignee: nobody → Steven Webster (swebster-wr)
Ghada Khalil (gkhalil) on 2020-01-15
Changed in starlingx:
assignee: Steven Webster (swebster-wr) → Thomas Gao (tgao)

Fix proposed to branch: master
Review: https://review.opendev.org/702930

Changed in starlingx:
status: Triaged → In Progress
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers